Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 909994 - media-sound/quodlibet-4.6.0-r1: needs to use PEP517 build (DistutilsNonPEP517Build)
Summary: media-sound/quodlibet-4.6.0-r1: needs to use PEP517 build (DistutilsNonPEP517...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: pep517-porting
  Show dependency tree
 
Reported: 2023-07-08 06:57 UTC by Michał Górny
Modified: 2024-07-04 14:00 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-07-08 06:57:11 UTC
This package still uses the legacy eclass code paths.  These paths are deprecated and pose a significant maintenance cost.  Please update the package to use PEP517 build mode.  For more information, please see the Python Guide, particularly; https://projects.gentoo.org/python/guide/migration.html#migrating-to-pep-517-builds
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-07-08 20:40:55 UTC
[Adding this comment en-masse, sorry for the noise, but it's important.)

1. Please take particular care to check file diffs before/after, possibly using `iwdevtools`. Keep a particular eye out for e.g. config files now missing from /etc and instead being in /usr/lib/python*/site-packages, etc.

2. Please make sure to do the migration in a new revision in ~arch, partly because of 1.
Comment 2 Agostino Sarubbo gentoo-dev 2024-02-28 07:57:07 UTC
ci has reproduced this issue with version 4.6.0-r1 - Updating summary.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-03-06 15:30:19 UTC
Final ping.  Please note that we will not hesitate to last rite low profile packages over this.
Comment 4 Eli Schwartz gentoo-dev 2024-06-05 20:29:56 UTC
The package has a pretty complex setuptools-based build system which has been extended to handle a variety of GUI tasks. It's not just a library and it isn't obvious that it *can* be ported to PEP 517.

It may be worth asking upstream if they are interested in moving to a build system for system GUI applications, such as meson or autotools.
Comment 5 Larry the Git Cow gentoo-dev 2024-07-04 14:00:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ff43c35f7c0b91e2d1a2bb2c6ef3abfd349866d

commit 2ff43c35f7c0b91e2d1a2bb2c6ef3abfd349866d
Author:     Alan Swanson <reiver@improbability.net>
AuthorDate: 2024-07-04 12:51:39 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2024-07-04 13:55:58 +0000

    media-sound/quodlibet: add python3_12 support
    
    Closes: https://bugs.gentoo.org/909994
    Closes: https://bugs.gentoo.org/925283
    
    Signed-off-by: Alan Swanson <reiver@improbability.net>
    Closes: https://github.com/gentoo/gentoo/pull/37428
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 .../files/quodlibet-4.6.0-python312.patch          | 60 +++++++++++++++++++++
 media-sound/quodlibet/quodlibet-4.6.0-r2.ebuild    | 62 ++++++++++++++++++++++
 2 files changed, 122 insertions(+)